Bug 410802 - Cantor uses a bundled, patched discount copy and fails to build if LANG is not poperly set
Summary: Cantor uses a bundled, patched discount copy and fails to build if LANG is no...
Status: RESOLVED FIXED
Alias: None
Product: cantor
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Cantor Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-11 06:55 UTC by Luca Beltrame
Modified: 2019-11-18 15:43 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 19.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luca Beltrame 2019-08-11 06:55:25 UTC
SUMMARY

In distributions' build systems, the build hosts have no network access for a veriety of reasons (including security and reproducibility of builds - there's no guarantee a remote location won't change). Recent Cantor master tries to download something off the network when building:

[  162s] [  2%] Performing download step (verify and extract) for 'discount_project'

Which attempts to download something called "discount-2.2.6-patched.tar". 

In a build host, of course the downloading fails and so building Cantor fails.

There are several problems in this scenario:

1. There's no indication in cmake that discount is required: it is neither searched for, nor shown that it is required;
2. It is unclear what kind of "patch" discount has, what is needed for, and why one can't use an unbundled discount (most of the distributions will not allow bundling third party libraries). There are no references anywhere in the README.

This appears to have been added in eb047a4ec0234183652415cf458c17493f2574c3 without any kind of review.

OBSERVED RESULT

Building Cantor tries to download a tarball from somewhere, build fails if download does not work.

EXPECTED RESULT

Cantor uses a system-wide discount and builds.
Comment 1 Nikita Sirgienko 2019-08-11 07:23:41 UTC
"discount-2.2.6-patched.tar" placed in cantor/thirdparty directory. It is local file. When cmake says about "dowload step", it means, that cmake copy the file from thirdparty directory to current build dir and unpack it.
So I don't understand exectly, why your build is failed.

I aslo have tried to build Cantor without Internet connection and it works.

System-wide Discount library unfortunately haven't all needed API, and this is why patched (more like 'extended', actually) embeded version exists. I think, in future, I will send my Discount changes into master, but until the moment, I think, using embeded library version is the best option.
Comment 2 Luca Beltrame 2019-08-11 13:38:11 UTC
(In reply to Nikita Sirgienko from comment #1)
> "discount-2.2.6-patched.tar" placed in cantor/thirdparty directory. It is

It looks like it fails if LANG isn't properly set. If setting LANG to "en_US.UTF-8" prior to building, it builds. I've edited the title to reflect this.

That said, it is not acceptable for distros to have bundled third party deps (unless you can disable the bundled copy and use the system one), nor that the feature summary doesn't tell you that it's going to use a bundled library.

The README should also mention this.

> think, in future, I will send my Discount changes into master, but until the
> moment, I think, using embeded library version is the best option.

That won't fly with distributions for a lot of good reasons: what if the bundled library does not build anymore for newer compilers? What if there is a security vulnerability in the bundled library that is not patched? What if there are bugs in the bundled library that are fixed in newer versions?

As this change is in master only, there is enough time for 19.12 to:

a. Submit discount changes upstream
b. Allow the build system to *not* use the bundled discount fork (because that's what it is)
c. Write at the end of the cmake call whether a bundled library is being used or not.
Comment 3 Luca Beltrame 2019-08-11 13:41:03 UTC
And on why LANG isn't set: build hosts (in this case openSUSE's OBS) only bootstrap the minimal system possible (in a VM or a chroot) to build the package.
Comment 4 Nikita Sirgienko 2019-08-11 14:18:59 UTC
(In reply to Luca Beltrame from comment #2)
> (In reply to Nikita Sirgienko from comment #1)
> > "discount-2.2.6-patched.tar" placed in cantor/thirdparty directory. It is
> 
> It looks like it fails if LANG isn't properly set. If setting LANG to
> "en_US.UTF-8" prior to building, it builds. I've edited the title to reflect
> this.
> 
> That said, it is not acceptable for distros to have bundled third party deps
> (unless you can disable the bundled copy and use the system one), nor that
> the feature summary doesn't tell you that it's going to use a bundled
> library.
> 
> The README should also mention this.

So you suggest to add information in README, that Cantor uses bundled third party library, right?
Could you also give an example, how information like that is mentioned in KDE programs?

> That won't fly with distributions for a lot of good reasons: what if the
> bundled library does not build anymore for newer compilers? What if there is
> a security vulnerability in the bundled library that is not patched? What if
> there are bugs in the bundled library that are fixed in newer versions?

Of course, current situation with Discount always planned as temporary solution.

> As this change is in master only, there is enough time for 19.12 to:
> 
> a. Submit discount changes upstream
> b. Allow the build system to *not* use the bundled discount fork (because
> that's what it is)
> c. Write at the end of the cmake call whether a bundled library is being
> used or not.

Not sure about 19.12, I mean, I will send pull request in few days, but I don't know, how fast upstream will respond and which Discount version will available for 19.12
But, just in case, for variant, when needed changes won't be available in system library version, that you could recommend?
Comment 5 Nikita Sirgienko 2019-11-17 15:31:20 UTC
Just for showing a progress: the pull request with patches have been created, but still doesn't have any response.

https://github.com/Orc/discount/pull/214
Comment 6 Nikita Sirgienko 2019-11-17 17:23:44 UTC
Git commit febeff84b016a6f4c93acf45783e7604419a08b4 by Nikita Sirgienko.
Committed on 17/11/2019 at 17:19.
Pushed by sirgienko into branch 'master'.

Fix problems with building cantor without LANG environment variable
FIXED-IN: 19.12

M  +1    -1    thirdparty/CMakeLists.txt
A  +20   -0    thirdparty/README.md
D  +-    --    thirdparty/discount-2.2.6-patched.tar
A  +30   -0    thirdparty/discount-2.2.6-patched/COPYRIGHT
A  +35   -0    thirdparty/discount-2.2.6-patched/CREDITS
A  +61   -0    thirdparty/discount-2.2.6-patched/Csio.c     [License: UNKNOWN]  *
A  +65   -0    thirdparty/discount-2.2.6-patched/INSTALL
A  +191  -0    thirdparty/discount-2.2.6-patched/Makefile.in
A  +33   -0    thirdparty/discount-2.2.6-patched/Plan9/README.md
A  +169  -0    thirdparty/discount-2.2.6-patched/Plan9/markdown.1
A  +332  -0    thirdparty/discount-2.2.6-patched/Plan9/markdown.2
A  +541  -0    thirdparty/discount-2.2.6-patched/Plan9/markdown.6
A  +38   -0    thirdparty/discount-2.2.6-patched/Plan9/mkfile
A  +16   -0    thirdparty/discount-2.2.6-patched/README
A  +1    -0    thirdparty/discount-2.2.6-patched/VERSION
A  +136  -0    thirdparty/discount-2.2.6-patched/amalloc.c     [License: UNKNOWN]  *
A  +29   -0    thirdparty/discount-2.2.6-patched/amalloc.h     [License: UNKNOWN]  *
A  +43   -0    thirdparty/discount-2.2.6-patched/basename.c     [License: UNKNOWN]  *
A  +213  -0    thirdparty/discount-2.2.6-patched/cmake/CMakeLists.txt
A  +79   -0    thirdparty/discount-2.2.6-patched/cmake/config.h.in
A  +1    -0    thirdparty/discount-2.2.6-patched/cmake/discount-config.cmake.in
A  +2014 -0    thirdparty/discount-2.2.6-patched/configure.inc
A  +264  -0    thirdparty/discount-2.2.6-patched/configure.sh
A  +85   -0    thirdparty/discount-2.2.6-patched/css.c     [License: UNKNOWN]  *
A  +76   -0    thirdparty/discount-2.2.6-patched/cstring.h     [License: UNKNOWN]  *
A  +54   -0    thirdparty/discount-2.2.6-patched/docheader.c     [License: UNKNOWN]  *
A  +160  -0    thirdparty/discount-2.2.6-patched/dumptree.c     [License: UNKNOWN]  *
A  +188  -0    thirdparty/discount-2.2.6-patched/emmatch.c     [License: UNKNOWN]  *
A  +93   -0    thirdparty/discount-2.2.6-patched/flags.c     [License: UNKNOWN]  *
A  +2107 -0    thirdparty/discount-2.2.6-patched/generate.c     [License: UNKNOWN]  *
A  +196  -0    thirdparty/discount-2.2.6-patched/gethopt.3
A  +286  -0    thirdparty/discount-2.2.6-patched/gethopt.c     [License: UNKNOWN]  *
A  +43   -0    thirdparty/discount-2.2.6-patched/gethopt.h     [License: UNKNOWN]  *
A  +101  -0    thirdparty/discount-2.2.6-patched/github_flavoured.c     [License: UNKNOWN]  *
A  +36   -0    thirdparty/discount-2.2.6-patched/h1title.c     [License: UNKNOWN]  *
A  +21   -0    thirdparty/discount-2.2.6-patched/html5.c     [License: UNKNOWN]  *
A  +11   -0    thirdparty/discount-2.2.6-patched/libmarkdown.pc.in
A  +338  -0    thirdparty/discount-2.2.6-patched/main.c     [License: UNKNOWN]  *
A  +45   -0    thirdparty/discount-2.2.6-patched/makepage.1
A  +102  -0    thirdparty/discount-2.2.6-patched/makepage.c     [License: UNKNOWN]  *
A  +195  -0    thirdparty/discount-2.2.6-patched/markdown.1
A  +152  -0    thirdparty/discount-2.2.6-patched/markdown.3
A  +1020 -0    thirdparty/discount-2.2.6-patched/markdown.7
A  +1463 -0    thirdparty/discount-2.2.6-patched/markdown.c     [License: UNKNOWN]  *
A  +270  -0    thirdparty/discount-2.2.6-patched/markdown.h     [License: GENERATED FILE]  *
A  +71   -0    thirdparty/discount-2.2.6-patched/mkd-callbacks.3
A  +197  -0    thirdparty/discount-2.2.6-patched/mkd-extensions.7
A  +186  -0    thirdparty/discount-2.2.6-patched/mkd-functions.3
A  +41   -0    thirdparty/discount-2.2.6-patched/mkd-line.3
A  +52   -0    thirdparty/discount-2.2.6-patched/mkd2html.1
A  +236  -0    thirdparty/discount-2.2.6-patched/mkd2html.c     [License: UNKNOWN]  *
A  +457  -0    thirdparty/discount-2.2.6-patched/mkdio.c     [License: UNKNOWN]  *
A  +127  -0    thirdparty/discount-2.2.6-patched/mkdio.h.in
A  +92   -0    thirdparty/discount-2.2.6-patched/mktags.c     [License: UNKNOWN]  *
A  +65   -0    thirdparty/discount-2.2.6-patched/msvc/Makefile
A  +17   -0    thirdparty/discount-2.2.6-patched/msvc/README.md
A  +75   -0    thirdparty/discount-2.2.6-patched/msvc/config.h.vc
A  +44   -0    thirdparty/discount-2.2.6-patched/notspecial.c     [License: UNKNOWN]  *
A  +146  -0    thirdparty/discount-2.2.6-patched/pgm_options.c     [License: UNKNOWN]  *
A  +9    -0    thirdparty/discount-2.2.6-patched/pgm_options.h     [License: UNKNOWN]  *
A  +160  -0    thirdparty/discount-2.2.6-patched/resource.c     [License: UNKNOWN]  *
A  +39   -0    thirdparty/discount-2.2.6-patched/setup.c     [License: UNKNOWN]  *
A  +96   -0    thirdparty/discount-2.2.6-patched/tags.c     [License: UNKNOWN]  *
A  +19   -0    thirdparty/discount-2.2.6-patched/tags.h     [License: UNKNOWN]  *
A  +27   -0    thirdparty/discount-2.2.6-patched/tests/autolink.t
A  +27   -0    thirdparty/discount-2.2.6-patched/tests/automatic.t
A  +21   -0    thirdparty/discount-2.2.6-patched/tests/backslash.t
A  +17   -0    thirdparty/discount-2.2.6-patched/tests/callbacks.t
A  +13   -0    thirdparty/discount-2.2.6-patched/tests/chrome.text
A  +35   -0    thirdparty/discount-2.2.6-patched/tests/code.t
A  +216  -0    thirdparty/discount-2.2.6-patched/tests/codeblock.t
A  +29   -0    thirdparty/discount-2.2.6-patched/tests/compat.t
A  +31   -0    thirdparty/discount-2.2.6-patched/tests/crash.t
A  +8    -0    thirdparty/discount-2.2.6-patched/tests/data/README
A  +22   -0    thirdparty/discount-2.2.6-patched/tests/data/f01.html
A  +15   -0    thirdparty/discount-2.2.6-patched/tests/data/f01.text
A  +25   -0    thirdparty/discount-2.2.6-patched/tests/defects.t
A  +49   -0    thirdparty/discount-2.2.6-patched/tests/div.t
A  +101  -0    thirdparty/discount-2.2.6-patched/tests/dl.t
A  +9    -0    thirdparty/discount-2.2.6-patched/tests/embedlinks.text
A  +19   -0    thirdparty/discount-2.2.6-patched/tests/emphasis.t
A  +126  -0    thirdparty/discount-2.2.6-patched/tests/extrafootnotes.t
A  +33   -0    thirdparty/discount-2.2.6-patched/tests/flow.t
A  +16   -0    thirdparty/discount-2.2.6-patched/tests/footnotes.t
A  +90   -0    thirdparty/discount-2.2.6-patched/tests/functions.sh
A  +23   -0    thirdparty/discount-2.2.6-patched/tests/githubtags.t
A  +26   -0    thirdparty/discount-2.2.6-patched/tests/header.t
A  +115  -0    thirdparty/discount-2.2.6-patched/tests/html.t
A  +17   -0    thirdparty/discount-2.2.6-patched/tests/html5.t
A  +49   -0    thirdparty/discount-2.2.6-patched/tests/html_comment.t
A  +27   -0    thirdparty/discount-2.2.6-patched/tests/latex.t
A  +14   -0    thirdparty/discount-2.2.6-patched/tests/links.text
A  +137  -0    thirdparty/discount-2.2.6-patched/tests/linkylinky.t
A  +21   -0    thirdparty/discount-2.2.6-patched/tests/linkypix.t
A  +217  -0    thirdparty/discount-2.2.6-patched/tests/list.t
A  +38   -0    thirdparty/discount-2.2.6-patched/tests/list3deep.t
A  +12   -0    thirdparty/discount-2.2.6-patched/tests/misc.t
A  +144  -0    thirdparty/discount-2.2.6-patched/tests/muñoz.t
A  +91   -0    thirdparty/discount-2.2.6-patched/tests/pandoc.t
A  +17   -0    thirdparty/discount-2.2.6-patched/tests/para.t
A  +77   -0    thirdparty/discount-2.2.6-patched/tests/peculiarities.t
A  +20   -0    thirdparty/discount-2.2.6-patched/tests/pseudo.t
A  +27   -0    thirdparty/discount-2.2.6-patched/tests/reddit.t
A  +14   -0    thirdparty/discount-2.2.6-patched/tests/reparse.t
A  +18   -0    thirdparty/discount-2.2.6-patched/tests/safelinks.t
A  +91   -0    thirdparty/discount-2.2.6-patched/tests/schiraldi.t
A  +25   -0    thirdparty/discount-2.2.6-patched/tests/smarty.t
A  +29   -0    thirdparty/discount-2.2.6-patched/tests/snakepit.t
A  +16   -0    thirdparty/discount-2.2.6-patched/tests/strikethrough.t
A  +36   -0    thirdparty/discount-2.2.6-patched/tests/style.t
A  +21   -0    thirdparty/discount-2.2.6-patched/tests/superscript.t
A  +897  -0    thirdparty/discount-2.2.6-patched/tests/syntax.text
A  +276  -0    thirdparty/discount-2.2.6-patched/tests/tables.t
A  +48   -0    thirdparty/discount-2.2.6-patched/tests/tabstop.t
A  +95   -0    thirdparty/discount-2.2.6-patched/tests/toc.t
A  +18   -0    thirdparty/discount-2.2.6-patched/tests/xml.t
A  +160  -0    thirdparty/discount-2.2.6-patched/theme.1
A  +666  -0    thirdparty/discount-2.2.6-patched/theme.c     [License: UNKNOWN]  *
A  +112  -0    thirdparty/discount-2.2.6-patched/toc.c     [License: UNKNOWN]  *
A  +14   -0    thirdparty/discount-2.2.6-patched/tools/README
A  +29   -0    thirdparty/discount-2.2.6-patched/tools/branch.c     [License: UNKNOWN]  *
A  +11   -0    thirdparty/discount-2.2.6-patched/tools/checkbits.sh
A  +39   -0    thirdparty/discount-2.2.6-patched/tools/cols.c     [License: UNKNOWN]  *
A  +25   -0    thirdparty/discount-2.2.6-patched/tools/echo.c     [License: UNKNOWN]  *
A  +99   -0    thirdparty/discount-2.2.6-patched/tools/pandoc_headers.c     [License: UNKNOWN]  *
A  +13   -0    thirdparty/discount-2.2.6-patched/version.c.in
A  +83   -0    thirdparty/discount-2.2.6-patched/xml.c     [License: UNKNOWN]  *
A  +43   -0    thirdparty/discount-2.2.6-patched/xmlpage.c     [License: UNKNOWN]  *

The files marked with a * at the end have a non valid license. Please read: https://community.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


https://invent.kde.org/kde/cantor/commit/febeff84b016a6f4c93acf45783e7604419a08b4
Comment 7 Christoph Feck 2019-11-18 08:47:48 UTC
If this should be in 19.12, it would have to be committed to release/19.12 branch.
Comment 8 Nikita Sirgienko 2019-11-18 15:43:10 UTC
Git commit bc31e88a490b984f6d13ae93d5cd5a4a2431465e by Nikita Sirgienko.
Committed on 18/11/2019 at 15:42.
Pushed by sirgienko into branch 'release/19.12'.

Fix problems with building cantor without LANG environment variable
FIXED-IN: 19.12
(cherry picked from commit febeff84b016a6f4c93acf45783e7604419a08b4)

M  +1    -1    thirdparty/CMakeLists.txt
A  +20   -0    thirdparty/README.md
D  +-    --    thirdparty/discount-2.2.6-patched.tar
A  +30   -0    thirdparty/discount-2.2.6-patched/COPYRIGHT
A  +35   -0    thirdparty/discount-2.2.6-patched/CREDITS
A  +61   -0    thirdparty/discount-2.2.6-patched/Csio.c     [License: UNKNOWN]  *
A  +65   -0    thirdparty/discount-2.2.6-patched/INSTALL
A  +191  -0    thirdparty/discount-2.2.6-patched/Makefile.in
A  +33   -0    thirdparty/discount-2.2.6-patched/Plan9/README.md
A  +169  -0    thirdparty/discount-2.2.6-patched/Plan9/markdown.1
A  +332  -0    thirdparty/discount-2.2.6-patched/Plan9/markdown.2
A  +541  -0    thirdparty/discount-2.2.6-patched/Plan9/markdown.6
A  +38   -0    thirdparty/discount-2.2.6-patched/Plan9/mkfile
A  +16   -0    thirdparty/discount-2.2.6-patched/README
A  +1    -0    thirdparty/discount-2.2.6-patched/VERSION
A  +136  -0    thirdparty/discount-2.2.6-patched/amalloc.c     [License: UNKNOWN]  *
A  +29   -0    thirdparty/discount-2.2.6-patched/amalloc.h     [License: UNKNOWN]  *
A  +43   -0    thirdparty/discount-2.2.6-patched/basename.c     [License: UNKNOWN]  *
A  +213  -0    thirdparty/discount-2.2.6-patched/cmake/CMakeLists.txt
A  +79   -0    thirdparty/discount-2.2.6-patched/cmake/config.h.in
A  +1    -0    thirdparty/discount-2.2.6-patched/cmake/discount-config.cmake.in
A  +2014 -0    thirdparty/discount-2.2.6-patched/configure.inc
A  +264  -0    thirdparty/discount-2.2.6-patched/configure.sh
A  +85   -0    thirdparty/discount-2.2.6-patched/css.c     [License: UNKNOWN]  *
A  +76   -0    thirdparty/discount-2.2.6-patched/cstring.h     [License: UNKNOWN]  *
A  +54   -0    thirdparty/discount-2.2.6-patched/docheader.c     [License: UNKNOWN]  *
A  +160  -0    thirdparty/discount-2.2.6-patched/dumptree.c     [License: UNKNOWN]  *
A  +188  -0    thirdparty/discount-2.2.6-patched/emmatch.c     [License: UNKNOWN]  *
A  +93   -0    thirdparty/discount-2.2.6-patched/flags.c     [License: UNKNOWN]  *
A  +2107 -0    thirdparty/discount-2.2.6-patched/generate.c     [License: UNKNOWN]  *
A  +196  -0    thirdparty/discount-2.2.6-patched/gethopt.3
A  +286  -0    thirdparty/discount-2.2.6-patched/gethopt.c     [License: UNKNOWN]  *
A  +43   -0    thirdparty/discount-2.2.6-patched/gethopt.h     [License: UNKNOWN]  *
A  +101  -0    thirdparty/discount-2.2.6-patched/github_flavoured.c     [License: UNKNOWN]  *
A  +36   -0    thirdparty/discount-2.2.6-patched/h1title.c     [License: UNKNOWN]  *
A  +21   -0    thirdparty/discount-2.2.6-patched/html5.c     [License: UNKNOWN]  *
A  +11   -0    thirdparty/discount-2.2.6-patched/libmarkdown.pc.in
A  +338  -0    thirdparty/discount-2.2.6-patched/main.c     [License: UNKNOWN]  *
A  +45   -0    thirdparty/discount-2.2.6-patched/makepage.1
A  +102  -0    thirdparty/discount-2.2.6-patched/makepage.c     [License: UNKNOWN]  *
A  +195  -0    thirdparty/discount-2.2.6-patched/markdown.1
A  +152  -0    thirdparty/discount-2.2.6-patched/markdown.3
A  +1020 -0    thirdparty/discount-2.2.6-patched/markdown.7
A  +1463 -0    thirdparty/discount-2.2.6-patched/markdown.c     [License: UNKNOWN]  *
A  +270  -0    thirdparty/discount-2.2.6-patched/markdown.h     [License: GENERATED FILE]  *
A  +71   -0    thirdparty/discount-2.2.6-patched/mkd-callbacks.3
A  +197  -0    thirdparty/discount-2.2.6-patched/mkd-extensions.7
A  +186  -0    thirdparty/discount-2.2.6-patched/mkd-functions.3
A  +41   -0    thirdparty/discount-2.2.6-patched/mkd-line.3
A  +52   -0    thirdparty/discount-2.2.6-patched/mkd2html.1
A  +236  -0    thirdparty/discount-2.2.6-patched/mkd2html.c     [License: UNKNOWN]  *
A  +457  -0    thirdparty/discount-2.2.6-patched/mkdio.c     [License: UNKNOWN]  *
A  +127  -0    thirdparty/discount-2.2.6-patched/mkdio.h.in
A  +92   -0    thirdparty/discount-2.2.6-patched/mktags.c     [License: UNKNOWN]  *
A  +65   -0    thirdparty/discount-2.2.6-patched/msvc/Makefile
A  +17   -0    thirdparty/discount-2.2.6-patched/msvc/README.md
A  +75   -0    thirdparty/discount-2.2.6-patched/msvc/config.h.vc
A  +44   -0    thirdparty/discount-2.2.6-patched/notspecial.c     [License: UNKNOWN]  *
A  +146  -0    thirdparty/discount-2.2.6-patched/pgm_options.c     [License: UNKNOWN]  *
A  +9    -0    thirdparty/discount-2.2.6-patched/pgm_options.h     [License: UNKNOWN]  *
A  +160  -0    thirdparty/discount-2.2.6-patched/resource.c     [License: UNKNOWN]  *
A  +39   -0    thirdparty/discount-2.2.6-patched/setup.c     [License: UNKNOWN]  *
A  +96   -0    thirdparty/discount-2.2.6-patched/tags.c     [License: UNKNOWN]  *
A  +19   -0    thirdparty/discount-2.2.6-patched/tags.h     [License: UNKNOWN]  *
A  +27   -0    thirdparty/discount-2.2.6-patched/tests/autolink.t
A  +27   -0    thirdparty/discount-2.2.6-patched/tests/automatic.t
A  +21   -0    thirdparty/discount-2.2.6-patched/tests/backslash.t
A  +17   -0    thirdparty/discount-2.2.6-patched/tests/callbacks.t
A  +13   -0    thirdparty/discount-2.2.6-patched/tests/chrome.text
A  +35   -0    thirdparty/discount-2.2.6-patched/tests/code.t
A  +216  -0    thirdparty/discount-2.2.6-patched/tests/codeblock.t
A  +29   -0    thirdparty/discount-2.2.6-patched/tests/compat.t
A  +31   -0    thirdparty/discount-2.2.6-patched/tests/crash.t
A  +8    -0    thirdparty/discount-2.2.6-patched/tests/data/README
A  +22   -0    thirdparty/discount-2.2.6-patched/tests/data/f01.html
A  +15   -0    thirdparty/discount-2.2.6-patched/tests/data/f01.text
A  +25   -0    thirdparty/discount-2.2.6-patched/tests/defects.t
A  +49   -0    thirdparty/discount-2.2.6-patched/tests/div.t
A  +101  -0    thirdparty/discount-2.2.6-patched/tests/dl.t
A  +9    -0    thirdparty/discount-2.2.6-patched/tests/embedlinks.text
A  +19   -0    thirdparty/discount-2.2.6-patched/tests/emphasis.t
A  +126  -0    thirdparty/discount-2.2.6-patched/tests/extrafootnotes.t
A  +33   -0    thirdparty/discount-2.2.6-patched/tests/flow.t
A  +16   -0    thirdparty/discount-2.2.6-patched/tests/footnotes.t
A  +90   -0    thirdparty/discount-2.2.6-patched/tests/functions.sh
A  +23   -0    thirdparty/discount-2.2.6-patched/tests/githubtags.t
A  +26   -0    thirdparty/discount-2.2.6-patched/tests/header.t
A  +115  -0    thirdparty/discount-2.2.6-patched/tests/html.t
A  +17   -0    thirdparty/discount-2.2.6-patched/tests/html5.t
A  +49   -0    thirdparty/discount-2.2.6-patched/tests/html_comment.t
A  +27   -0    thirdparty/discount-2.2.6-patched/tests/latex.t
A  +14   -0    thirdparty/discount-2.2.6-patched/tests/links.text
A  +137  -0    thirdparty/discount-2.2.6-patched/tests/linkylinky.t
A  +21   -0    thirdparty/discount-2.2.6-patched/tests/linkypix.t
A  +217  -0    thirdparty/discount-2.2.6-patched/tests/list.t
A  +38   -0    thirdparty/discount-2.2.6-patched/tests/list3deep.t
A  +12   -0    thirdparty/discount-2.2.6-patched/tests/misc.t
A  +144  -0    thirdparty/discount-2.2.6-patched/tests/muñoz.t
A  +91   -0    thirdparty/discount-2.2.6-patched/tests/pandoc.t
A  +17   -0    thirdparty/discount-2.2.6-patched/tests/para.t
A  +77   -0    thirdparty/discount-2.2.6-patched/tests/peculiarities.t
A  +20   -0    thirdparty/discount-2.2.6-patched/tests/pseudo.t
A  +27   -0    thirdparty/discount-2.2.6-patched/tests/reddit.t
A  +14   -0    thirdparty/discount-2.2.6-patched/tests/reparse.t
A  +18   -0    thirdparty/discount-2.2.6-patched/tests/safelinks.t
A  +91   -0    thirdparty/discount-2.2.6-patched/tests/schiraldi.t
A  +25   -0    thirdparty/discount-2.2.6-patched/tests/smarty.t
A  +29   -0    thirdparty/discount-2.2.6-patched/tests/snakepit.t
A  +16   -0    thirdparty/discount-2.2.6-patched/tests/strikethrough.t
A  +36   -0    thirdparty/discount-2.2.6-patched/tests/style.t
A  +21   -0    thirdparty/discount-2.2.6-patched/tests/superscript.t
A  +897  -0    thirdparty/discount-2.2.6-patched/tests/syntax.text
A  +276  -0    thirdparty/discount-2.2.6-patched/tests/tables.t
A  +48   -0    thirdparty/discount-2.2.6-patched/tests/tabstop.t
A  +95   -0    thirdparty/discount-2.2.6-patched/tests/toc.t
A  +18   -0    thirdparty/discount-2.2.6-patched/tests/xml.t
A  +160  -0    thirdparty/discount-2.2.6-patched/theme.1
A  +666  -0    thirdparty/discount-2.2.6-patched/theme.c     [License: UNKNOWN]  *
A  +112  -0    thirdparty/discount-2.2.6-patched/toc.c     [License: UNKNOWN]  *
A  +14   -0    thirdparty/discount-2.2.6-patched/tools/README
A  +29   -0    thirdparty/discount-2.2.6-patched/tools/branch.c     [License: UNKNOWN]  *
A  +11   -0    thirdparty/discount-2.2.6-patched/tools/checkbits.sh
A  +39   -0    thirdparty/discount-2.2.6-patched/tools/cols.c     [License: UNKNOWN]  *
A  +25   -0    thirdparty/discount-2.2.6-patched/tools/echo.c     [License: UNKNOWN]  *
A  +99   -0    thirdparty/discount-2.2.6-patched/tools/pandoc_headers.c     [License: UNKNOWN]  *
A  +13   -0    thirdparty/discount-2.2.6-patched/version.c.in
A  +83   -0    thirdparty/discount-2.2.6-patched/xml.c     [License: UNKNOWN]  *
A  +43   -0    thirdparty/discount-2.2.6-patched/xmlpage.c     [License: UNKNOWN]  *

The files marked with a * at the end have a non valid license. Please read: https://community.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


https://invent.kde.org/kde/cantor/commit/bc31e88a490b984f6d13ae93d5cd5a4a2431465e